Subject: 28.0.50; Add an invocation option to inhibit native-compilation functionality

From: Phil Sainty <[email-masked]>
Date: Mon, 26 Apr 2021 17:52:52 +1200

Now that the native-compilation feature is merged, it would be very
useful to be able to build Emacs --with-native-compilation but be
able to choose to inhibit that functionality at start time via a
command-line option such as 'emacs --no-native-compilation', which
would cause Emacs to load/execute only .el and .elc files.

This will enable users to easily compare functionality with and
without native-compilation, so that native-compilation bugs can be
more easily identified and reproduced without requiring people to
maintain more than one build of Emacs in order to test how the
traditional interpreters behave.

I'm not sure if/how this ties in with the portable dumper.  Perhaps
there are .eln files included in the dump?  If so, perhaps the dump
would need to include both the .elc and the .eln code, and choose
which to use based on the new option.

-Phil